/*
 * @file TArtConfigFile.h
 * @date  Created : 2008/10/30 06:42:10 JST<BR>
 *  Last Modified : 2008/10/30 12:51:11 JST
 *--------------------------------------------------------
 *    Comment : 
 *    
 *--------------------------------------------------------
 *    Copyright (C)2008 by Shinsuke OTA <ota@ribf.riken.jp>
 */
#ifndef TARTCONFIGFILE_H
#define TARTCONFIGFILE_H
#include <fstream>
class TArtConfigFile  {
private:
   std::ifstream fFile;
   char *fDelim;
   char *fComment;
   char fEOL;
   char fLine[1024];
   char *fLast;
public:
   TArtConfigFile(const char* filename, 
                  const char* delim = " ,\t",
                  const char* comment = "#",
                  const char eol = ';');
   ~TArtConfigFile();
   const char* GetNextToken();
   int GetNextTokenAsInt(int &lval);

};
#endif // end of #ifdef TARTCONFIGFILE_H
