#include "TArtRIPSPara.h" 
#include "TArtCore.h"

#include <fstream>

//__________________________________________________________
TArtRIPSPara::TArtRIPSPara()  {
}

//__________________________________________________________
TArtRIPSPara::TArtRIPSPara(Int_t i, Int_t f, Int_t b, char *mfile, Double_t r)
  :id(i), forward_fpl(f), backward_fpl(b), brho(r)
{
  char buffer[256];
  std::ifstream matfin(mfile); 
  matfin.getline(buffer,256);
  matrix.ResizeTo(6,5); 
  double val[6];  
  for(int i=0;i<6;i++){
    matfin>>val[0]>>val[1]>>val[2]>>val[3]>>val[4]>>val[5];
    for(int j=0;j<5;j++)
      matrix(i,j) = val[j];
  }
  matfin.close();
}

//__________________________________________________________
TArtRIPSPara::~TArtRIPSPara()  {
}

